> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stablestack.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Wallet Withdrawal

> API reference for creating withdrawal payouts to cryptocurrency wallets

Creates a withdrawal payout to a cryptocurrency wallet. Supports both customer and merchant withdrawals.

### Key Features:

* Supports multiple stablecoin and networks
* Handles both customer and merchant payouts
* Includes recipient verification details

### Request Body:

**Wallet Withdrawal**:

```json theme={null}
{
  "customer_id": "85b148ab-3f6b-4d55-917f-3c8de668a48e", //optional
  "currency": "USDC",
  "address": "0x598C6d42fd6eE0ekleF4f9CAb789e264E8b895f3",
  "amount": 0.1,
  "network": "erc20",
  "recipient_name": "John Doe"
}
```


## OpenAPI

````yaml POST /payouts/wallets
openapi: 3.0.0
info:
  title: 'StableStack: API Service'
  description: "# Overview\n\n##  Introduction\n\nStableStack offers an API first, last mile payment orchestration + liquidity router built with stablecoins. Stablecoin layer integrated into your existing payment flow, with smart accounts and blockchain abstraction. Go between digital and fiat currencies in minutes.\n\n## Getting Help\n\nWe're excited to have you build with us! If you're integrating, we will set up a communication channel. This will enable our teams to easily collaborate and ensure you launch as quickly as possible.\n\nPlease reach out to us at\_[hello@stablestack.xyz](https://mailto:hello@stablestack.xyz)\_for any questions or concerns."
  version: 1.0.0
servers:
  - url: https://api-staging.stablestack.com/api
    description: StableStack API
security: []
tags:
  - name: customers
  - name: customers > kyc
  - name: payouts
  - name: banks
  - name: transactions
  - name: wallets
  - name: assets
  - name: swap
paths:
  /payouts/wallets:
    post:
      tags:
        - payouts
      summary: Create wallet withdrawal
      description: Creates a withdrawal payout to a cryptocurrency wallet
      parameters:
        - name: x-api-key
          in: header
          schema:
            type: string
          required: true
          example: merchant_api_key_12345
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - currency
                - address
                - amount
                - network
              properties:
                customer_id:
                  type: string
                  format: uuid
                  nullable: true
                  description: Required for customer withdrawals
                  example: 85b148ab-3f6b-4d55-917f-3c8de668a48e
                currency:
                  type: string
                  enum:
                    - USDC
                  example: USDC
                address:
                  type: string
                  example: 0x598C6d42fd6eE0ekleF4f9CAb789e264E8b895f3
                amount:
                  type: number
                  example: 0.1
                network:
                  type: string
                  enum:
                    - erc20
                    - polygon
                  example: erc20
                recipient_name:
                  type: string
                  nullable: true
                  example: John Doe
                narration:
                  type: string
                  nullable: true
                  description: Optional note or reference for the transaction
                  example: 'Payment for invoice #1042'
            examples:
              customerWithdrawal:
                value:
                  customer_id: 85b148ab-3f6b-4d55-917f-3c8de668a48e
                  currency: USDC
                  address: 0x598C6d42fd6eE0ekleF4f9CAb789e264E8b895f3
                  amount: 0.1
                  network: erc20
                  recipient_name: John Doe
                  narration: 'Payment for invoice #1042'
              merchantWithdrawal:
                value:
                  currency: USDC
                  address: 0x598C6d42fd6eE0ekleF4f9CAb789e264E8b895f3
                  amount: 0.1
                  network: erc20
                  narration: 'Payment for invoice #1042'
      responses:
        '200':
          description: Withdrawal created successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: success
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                        format: uuid
                        example: f3394f78-682b-4d28-9cf6-53858fb8216f
                      sender_wallet_id:
                        type: string
                        format: uuid
                        nullable: true
                        example: null
                      receiver_wallet_id:
                        type: string
                        format: uuid
                        nullable: true
                        example: null
                      transaction_id:
                        type: string
                        example: EF40X2S02U
                      asset_code:
                        type: string
                        example: USDC
                      amount:
                        type: string
                        example: '100.00000000'
                      reference_id:
                        type: string
                        format: uuid
                        example: 6b522909-45c9-406d-ac11-b645b79a0202
                      status:
                        type: string
                        example: PROCESSING
                      created_at:
                        type: string
                        format: date-time
                        example: '2025-05-27T11:27:29.061Z'
                      updated_at:
                        type: string
                        format: date-time
                        example: '2025-05-27T11:27:29.061Z'
                      crypto_transaction_id:
                        type: string
                        nullable: true
                        example: null
                      network:
                        type: string
                        example: erc20
                      transaction_type:
                        type: string
                        example: PAYOUT
                      transaction_mode:
                        type: string
                        example: DEBIT
                      exchange_rate:
                        type: string
                        nullable: true
                        example: null
                      withdrawal_recipient_name:
                        type: string
                        example: John Doe
                      fee:
                        type: string
                        nullable: true
                        example: null
                      balance:
                        type: string
                        example: '0.00000000'
                      reason:
                        type: string
                        example: Withdraw to 0x598C6d42fd6eE0ekleF4f9CAb789e264E8b895f3
                      customer_id:
                        type: string
                        format: uuid
                        nullable: true
                        example: 85b148ab-3f6b-4d55-917f-3c8de668a48e
                      recipient_currency:
                        type: string
                        nullable: true
                        example: null
                      recipient_country:
                        type: string
                        nullable: true
                        example: null
                      bank_name:
                        type: string
                        nullable: true
                        example: null
                      bank_code:
                        type: string
                        nullable: true
                        example: null
                      address:
                        type: string
                        example: 0x598C6d42fd6eE0ekleF4f9CAb789e264E8b895f3
                      bank_account:
                        type: string
                        nullable: true
                        example: null
                      amount_fiat:
                        type: string
                        example: '0.00000000'
                      fiat_reference_id:
                        type: string
                        nullable: true
                        example: null
                      narration:
                        type: string
                        nullable: true
                        example: 'Payment for invoice #1042'
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: error
                  message:
                    type: string
                    example: Error message
                  code:
                    type: string
                    example: ERROR_CODE

````